Modify TP/SL Prices on a Limit Order
Response Example
{
"success": true,
"code": 0
}
- POST
/api/v1/private/stoporder/change_price
Required Permission: Order Placing
Request Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| lossTrend | int | false | Stop-loss price type: 1 Latest Price; 2 Fair Price; 3 Index Price |
| profitTrend | int | false | Take-profit price type: 1 Latest Price; 2 Fair Price; 3 Index Price |
| orderId | long | true | Limit order ID |
| stopLossPrice | decimal | false | Stop-loss price. If both TP and SL are empty or both are 0, the order’s TP/SL will be canceled |
| takeProfitPrice | decimal | false | Take-profit price. If both TP and SL are empty or both are 0, the order’s TP/SL will be canceled |
| takeProfitReverse | int | false | Reverse on take-profit: 1 Yes; 2 No |
| stopLossReverse | int | false | Reverse on stop-loss: 1 Yes; 2 No |
Response Parameters:
Common parameters; success: true for success, false for failure